<?php
///////////////////////////////////////////////////////////////////////////

require_once 'lib/default_dune_plugin.php';
require_once 'lib/utils.php';

require_once 'lib/tv/tv_group_list_screen.php';
require_once 'lib/tv/tv_favorites_screen.php';

require_once 'bilink_config.php';

require_once 'bilink_tv.php';
require_once 'bilink_setup_screen.php';
require_once 'bilink_auth_screen.php';
require_once 'bilink_tv_channel_list_screen.php';



///////////////////////////////////////////////////////////////////////////

class BilinkPlugin extends DefaultDunePlugin
{
    public function __construct()
    {
        $this->tv = new BilinkTv();

	$this->add_screen(new TvGroupListScreen($this->tv,$this->vod,
                BilinkConfig::GET_TV_GROUP_LIST_FOLDER_VIEWS()));

        $this->add_screen(new BilinkTvChannelListScreen($this->tv,
                BilinkConfig::GET_TV_CHANNEL_LIST_FOLDER_VIEWS()));
        $this->add_screen(new TvFavoritesScreen($this->tv,
                BilinkConfig::GET_TV_CHANNEL_LIST_FOLDER_VIEWS()));

        $this->add_screen(new BilinkSetupScreen());
	$this->add_screen(new BilinkAuthScreen());
	
    }
    
}

///////////////////////////////////////////////////////////////////////////
?>
